import { Icon } from '../../api';
import { ReactiveControllerHost } from '../../utils/reactive-controller-host';
import { type AriaValidationHost } from '../../utils/validation/aria-validation-controller';
export declare class LmvzIcon extends ReactiveControllerHost implements AriaValidationHost {
    private intersectionObserver;
    el: HTMLElement;
    icon: Icon.IconName;
    weight?: Icon.IconWeight;
    size?: Icon.Size;
    private iconData;
    private visible;
    ariaLabel?: string;
    private get ariaHidden();
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private loadIconPathData;
    render(): any;
    private waitUntilVisible;
}
